- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability/markAsDoNotDisturb#try-it)

Marks user as `DO_NOT_DISTURB` in Google Chat.

Sets a user's availability state to `DO_NOT_DISTURB` until a specified expiration time. When in `DO_NOT_DISTURB`, users typically won't receive notifications.

This method only updates the authenticated user's availability.

Requires [user authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-user) with [authorization scope](https://developers.google.com/workspace/chat/authenticate-authorize#chat-api-scopes):

- `https://www.googleapis.com/auth/chat.users.availability`

### HTTP request

`POST https://chat.googleapis.com/v1/{name=users/*/availability}:markAsDoNotDisturb`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the availability to mark as Do Not Disturb. Format: users/{user}/availability `{user}` is the id for the Person in the People API or Admin SDK directory API. For example, `users/123456789`. The user's email address or `me` can also be used as an alias to refer to the caller. For example, `users/user@example.com` or `users/me`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "expireTime": string, "ttl": string } ``` |

| Fields ||
|---|---|
| Required. The expiration for the DND availability state. The user will be marked as Away after expiration. This can be at most 1 year from the current time. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `expireTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The absolute timestamp when the DND state expires. |
| `ttl` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` The duration from the current time until the DND state expires. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/users.availability#Availability`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chat.users.availability`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).